Bug 70524 - kernel crashed: Assertion failure in journal_commit_transaction
kernel crashed: Assertion failure in journal_commit_transaction
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 21:51 EDT by Edouard Zhun
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 03:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edouard Zhun 2002-08-01 21:51:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
kernel bug at commit.c in kjournald [jbd]
linux crashed
console does not react .

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Actual Results:  Aug  2 03:25:31 appsvr-g kernel: Assertion failure in 
journal_commit_transaction
() at commit.c:535: "buffer_jdirty(bh)"
Aug  2 03:25:31 appsvr-g kernel: ------------[ cut here ]------------
Aug  2 03:25:31 appsvr-g kernel: kernel BUG at commit.c:535!
Aug  2 03:25:31 appsvr-g kernel: invalid operand: 0000
Aug  2 03:25:31 appsvr-g kernel: nfs lockd sunrpc soundcore autofs tg3 eepro100
ext3 jbd aacraid sd_mod scsi_mo
Aug  2 03:25:31 appsvr-g kernel: CPU:    0
Aug  2 03:25:31 appsvr-g kernel: EIP:    0010:[<f883d0e4>]    Not tainted
Aug  2 03:25:31 appsvr-g kernel: EFLAGS: 00010286
Aug  2 03:25:31 appsvr-g kernel:
Aug  2 03:25:31 appsvr-g kernel: EIP is at journal_commit_transaction [jbd] 0xb0
4 (2.4.18-3smp)
Aug  2 03:25:31 appsvr-g kernel: eax: 0000001c   ebx: 0000000a   ecx: c02eee60
 edx: 000032d0
Aug  2 03:25:31 appsvr-g kernel: esi: f02ebb80   edi: f77943e0   ebp: f7806000
 esp: f7807e78
Aug  2 03:25:31 appsvr-g kernel: ds: 0018   es: 0018   ss: 0018
Aug  2 03:25:31 appsvr-g kernel: Process kjournald (pid: 18, stackpage=f7807000)
Aug  2 03:25:31 appsvr-g kernel: Stack: f8843eee 00000217 c9a0f020 00000000 0000
0fd4 f104102c 00000000 edb20540
Aug  2 03:25:31 appsvr-g kernel:        d6ac6dc0 00001897 f755c1a0 00000000 f755
c1a0 f88d827e ee5f94a0 d7c417e0
Aug  2 03:25:31 appsvr-g kernel:        d7c41840 d803c500 d803c4a0 d803c440 d803
c3e0 d803c380 d803c320 d803c2c0
Aug  2 03:25:31 appsvr-g kernel: Call Trace: [<f8843eee>] .rodata.str1.1 [jbd] 0
x26e
Aug  2 03:25:31 appsvr-g kernel: [<f88d827e>] tg3_rx [tg3] 0x29e
Aug  2 03:25:31 appsvr-g kernel: [<c0119048>] schedule [kernel] 0x348
Aug  2 03:25:31 appsvr-g kernel: [<f883f7d6>] kjournald [jbd] 0x136
Aug  2 03:25:31 appsvr-g kernel: [<f883f680>] commit_timeout [jbd] 0x0
Aug  2 03:25:31 appsvr-g kernel: [<c0107286>] kernel_thread [kernel] 0x26
Aug  2 03:25:31 appsvr-g kernel: [<f883f6a0>] kjournald [jbd] 0x0
Aug  2 03:25:31 appsvr-g kernel: klogd 1.4.1, log source = /proc/kmsg started.
Aug  2 03:25:31 appsvr-g kernel: Linux version 2.4.18-3smp (bhcompile@daffy.perf
Aug  2 03:25:31 appsvr-g kernel: Code: 0f 0b 5a 59 6a 04 8b 44 24 18 50 56 e8 4b
 f1 ff ff 8d 47 48

Additional info:

from /var/log/messages
Comment 1 Arjan van de Ven 2002-08-02 03:36:56 EDT
Please upgrade to the erratum 2.4.18-5 kernel. This bug is (supposed to be)
fixed in that!
Comment 2 Stephen Tweedie 2002-08-06 07:05:29 EDT
See the errata advisory at 

    http://rhn.redhat.com/errata/RHBA-2002-085.html

Note You need to log in before you can comment on or make changes to this bug.